"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.BackdropContainer = exports.Container = void 0;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var Container = function Container(props) {
  return React.createElement("div", (0, _extends2.default)({}, props, {
    style: {
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }
  }));
};

exports.Container = Container;

var BackdropContainer = function BackdropContainer(_ref) {
  var style = _ref.style,
      otherProps = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["style"]);
  return React.createElement("div", (0, _extends2.default)({}, otherProps, {
    style: (0, _extends2.default)({
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      backgroundColor: 'rgba(0, 0, 0, 0.3)',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }, style)
  }));
};

exports.BackdropContainer = BackdropContainer;