import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _extends from "@babel/runtime/helpers/esm/extends";
import * as React from 'react';
export var Container = function Container(props) {
  return React.createElement("div", _extends({}, props, {
    style: {
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }
  }));
};
export var BackdropContainer = function BackdropContainer(_ref) {
  var style = _ref.style,
      otherProps = _objectWithoutPropertiesLoose(_ref, ["style"]);

  return React.createElement("div", _extends({}, otherProps, {
    style: _extends({
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      backgroundColor: 'rgba(0, 0, 0, 0.3)',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }, style)
  }));
};